就活のための紹介状をもらいに行った。
対応した職員は2回目だったが、
最初気がつかなかった。
トライアル雇用の説明を受けた。
東池袋まで歩き出すよ都電でA区
支援センターへ。
簡単にお昼を取り、K区支援センターを
目指す。
イマ到着。14時開所なので、
喫茶スペースで休憩中古。
Apr 19 10:53:48 xxxx.local Install OS X Mavericks[79659]: Could not add SWU product
$ cp /Volumes/OS\ X\ Base\ System/System/Installation/Packages/BaseSystemBinaries.pkg /tmp
$ cd /tmp
$ pkgutil --expand /private/tmp/BaseSystemBinaries.pkg ./tmp
$ cd tmp
$ ls
Bom PackageInfo Payload
$ ditto -x --bom Bom Payload ./
$ ls
Applications Payload dev sbin
Bom System etc tmp
Library Volumes mach_kernel usr
PackageInfo bin private var
There is something wrong with the volume's CNID DB, using temporary CNID DB instead. Check server messages for details.とかのエラーになって最後はマウントもできなくなり何もできなくなってしまった。
sudo tmutil setdestination -a /Volumes/'ボリューム名(sparsebundle作成で指定した)'
$ hdiutil resize -size 1t ~/Documents/TK2Mbp.sparsebundle
MySQLではユーザーをユーザー名+接続ホスト名で管理しています。インストール直後とに登録されているのはユーザー名が「root」でホスト名が「localhost」のユーザーのみです。その為、ユーザー名には「root@localhost」と指定する必要があるのですが、ホスト名が「localhost」の場合に限って省略することが可能です。その為、ユーザー名には単に「root」を指定します。
mysql> SHOW DATABASES;
+--------------------+
| Database |
+--------------------+
| information_schema |
| mysql |
| performance_schema |
+--------------------+
3 rows in set (0.13 sec)
mysql> SHOW DATABASES;
+--------------------+
| Database |
+--------------------+
| information_schema |
| bipo |
| mysql |
| performance_schema |
+--------------------+
4 rows in set (0.00 sec)
OK!!
DB を終了する
mysql> quit;
■WordPress の設定(wp-config.phpの編集)
wordpress ディレクトリにある、wp-config-sample.php を編集します。
WordPress のAuto Config の画面まできた。
設定を進めると
データベース接続確立エラー
データベース接続がうまくいってない...
MySQL の root ユーザー以外のユーザを作ってやってみる(http://wiki.minaco.net/index.php?MySQL%2FユーザとDB作成
)。
(略)
mysql> SHOW GRANTS FOR yuj2t@localhost \G
*************************** 1. row ***************************
Grants for yuj2t@localhost: GRANT USAGE ON *.* TO 'yuj2t'@'localhost' IDENTIFIED BY PASSWORD '*E2A6687C54CEEDB2DDD23A9BFFF55A85DBA24A54'
*************************** 2. row ***************************
Grants for yuj2t@localhost: GRANT ALL PRIVILEGES ON `bipo`.* TO 'yuj2t'@'localhost'
2 rows in set (0.12 sec)
できた。このユーザでやってみる。
同じだ。今日はここまで!続きは明日!
解決しました!WordPress の設定ファイルのホスト指定を
localhost から
127.0.0.1
に変更したら WordPress のインストール画面になり無事インストールできました!
Tanks http://fundive.tk/wp/?tag=os-x-server !!
#!/bin/bash
#set -vx
#set -e
trap '/bin/rm /tmp/watchTimeMachin;exit 2' 2 3 9 15
machinead='192.168.200.26'
sharedir='TTMD%20\(usb\)'
mountpoint='/Volumes/Data'
bacupmachine='Tk2MBP'
timemachine_name='Time Machine Backups'
logs='/tmp/watchTimeMachine.log'
flag='/tmp/watchTimeMachine'
if test -e $flag; then
  /bin/echo "$0 is Running. exit" >> $logs 2>&1
  /bin/rm $flag
exit 1
else
  /usr/bin/touch $flag
fi
if test ! -e $logs; then
  /usr/bin/touch $logs
  /bin/chmod 666 $logs
  /bin/date >> $logs
fi
status=`/usr/bin/tmutil status | /usr/bin/grep -c "Running = 1"`
if test $status -ne 0; then
  /bin/echo "status is $status. Time Machine is Running. exit" >> $logs
  /bin/rm $flag
  exit $status
else
  if test -d "/Volumes/$timemachine_name"; then
    /usr/bin/tmutil startbackup --destination `/usr/bin/tmutil destinationinfo | /usr/bin/awk -F : '/ID/ {print $2}'` >>$logs 1>&2
    /bin/rm $flag
    exit 0
  fi
fi
if test ! -d $mountpoint; then
  /bin/mkdir $mountpoint
fi
/sbin/mount | grep "$machinead/TTMD" | /usr/bin/grep smbfs >/dev/null
if test $? -eq 1; then
# ここは shell 変数を使ってやるとどうしてもクォートで囲まれてうまくいかないので、直書きにした
  /sbin/mount_smbfs //GUEST:@192.168.200.26/TTMD%20\(usb\) /Volumes/Data 1>>$logs 2>&1
fi
/sbin/mount | grep $bacupmachine > /dev/null
if test $? -eq 1; then
  /usr/bin/hdiutil attach -noverify "$mountpoint/$bacupmachine.sparsebundle" 1>>$logs 2>&1
fi
err=$?
if test $err -ne 0; then
  /bin/echo "mount was failed. error is $err" >>$logs 2>&1
  /bin/rm $flag
exit $err
fi
/bin/date >> $logs
volume_stat=`/usr/bin/tmutil status | grep 'DestinationMountPoint = "/Volumes/$timemachine_name"'`
if test $volume_stat -ne 0; then
  /bin/echo "invalid volume mounting" >>$logs 1>&2
  /bin/rm $flag
  exit $volume_stat
else
# Thanks http://d.hatena.ne.jp/daidai7/20130225/1361806444
  sudo tmutil setdestination -a "/Volumes/$timemachine_name"
fi
/usr/bin/tmutil startbackup --destination `/usr/bin/tmutil destinationinfo | /usr/bin/awk -F : '/ID/ {print $2}'` >>$logs 1>&2
echo "status is $status. TimeMachine is Starting." >> $logs 1>&2
/bin/rm $flag
exit 0
$ launchctl list link.bye-bipolar.watchTimeMachine.plist
{
 "Label" = "link.bye-bipolar.watchTimeMachine.plist";
  "LimitLoadToSessionType" = "Aqua";
  "OnDemand" = true;
  "LastExitStatus" = 0;
  "TimeOut" = 30;
  "StandardOutPath" = "/var/watchTimeMachine.log";
  "StandardErrorPath" = "/var/watchTimeMachine_error.log";
  "ProgramArguments" = (
  "/bin/bash";
  "/Users/yj2t/tools/watchTimeMachine.sh";
  );
};
$ launchctl unload /Library/LaunchDaemons/link.bye-bipolar.watchTimeMachine.plist
$ defaults write com.apple.systempreferences TMShowUnsupportedNetworkVolumes 1
$ hdiutil attach /Volumes/TTMD\ \(usb\)/Tk2MBP.sparsebundle
/dev/disk1 GUID_partition_scheme
/dev/disk1s1 EFI
/dev/disk1s2 Apple_HFS /Volumes/Tk2MBP
証明書が無効または間違っている
次の手順にそって、受け付けられた証明書のキャッシュをリセットします。
Finder を開きます。
「移動」メニューから「フォルダへ移動」を選択します。
「移動」ウインドウに「/var/db/crls/」と入力します。
「移動」をクリックします。
crlcache.db ファイルおよび ocspcache.db ファイルをゴミ箱にドラッグして削除します。
管理者のパスワードを求められたら入力します。
システムを再起動して、問題が発生しないかテストします。